Bug 203205 - Review Request: eclipse-phpeclipse
Review Request: eclipse-phpeclipse
Status: CLOSED DUPLICATE of bug 213594
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-08-18 17:14 EDT by Ben Konrath
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 01:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2006-08-18 17:14:12 EDT
Spec URL:

http://people.redhat.com/bkonrath/eclipse/eclipse-phpeclipse.spec

SRPM URL:

http://people.redhat.com/bkonrath/eclipse/eclipse-phpeclipse-1.1.8-7.src.rpm

Description:

The PHPeclipse plugin allows developers to write PHP webpages and scripts in Eclipse.
Comment 1 Anthony Green 2006-08-27 02:20:34 EDT
Is this supposed to build on FC5?

I get...

BUILD FAILED
Buildfile: /usr/share/eclipse/plugins/org.eclipse.pde.build/scripts/build.xml
does not exist

because this file lives at:
/usr/share/eclipse/plugins/org.eclipse.pde.build_3.1.2/scripts/build.xml


Comment 2 Ben Konrath 2006-08-27 15:38:02 EDT
(In reply to comment #1)
> Is this supposed to build on FC5?

No, I don't think the source will even compile against 3.1.2. Sorry I should
have been clear about that. 
Comment 3 Anthony Green 2006-09-09 00:27:40 EDT
Let's look at the rpmlint output:

E: eclipse-phpeclipse description-line-too-long The PHPeclipse plugin allows
developers to write PHP webpages and scripts in Eclipse.

I've never seen this before.  Should be easy to fix.

W: eclipse-phpeclipse non-standard-group Text Editors/Integrated Development
Environments (IDE)

Please use Development/Tools.

W: eclipse-phpeclipse incoherent-version-in-changelog 1.1.8-6 1.1.8-7

This must be a typo.

W: eclipse-phpeclipse invalid-license Common Public License (CPL) 1.0

Please just use "CPL".

W: eclipse-phpeclipse no-documentation

At a minimum, please add the license text as a %doc in the %files section.

W: eclipse-phpeclipse hidden-file-or-dir
/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.launching_1.1.8/.classpath
W: eclipse-phpeclipse hidden-file-or-dir
/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.phphelp_1.1.8/.classpath
W: eclipse-phpeclipse hidden-file-or-dir
/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.debug.core_1.1.8/.project
W: eclipse-phpeclipse hidden-file-or-dir
/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.debug.core_1.1.8/.template
W: eclipse-phpeclipse hidden-file-or-dir
/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.debug.core_1.1.8/.classpath
W: eclipse-phpeclipse hidden-file-or-dir
/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.debug.ui_1.1.8/.template
W: eclipse-phpeclipse hidden-file-or-dir
/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.launching_1.1.8/.project
W: eclipse-phpeclipse hidden-file-or-dir
/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.launching_1.1.8/.template

I've never seen these before.  Can we delete them, or are they important?

W: eclipse-phpeclipse one-line-command-in-%post /usr/bin/rebuild-gcj-db
W: eclipse-phpeclipse one-line-command-in-%postun /usr/bin/rebuild-gcj-db

Use single lines like this instead:
%post -p %{_bindir}/rebuild-gcj-db


The rest are from the SRPM....

E: eclipse-phpeclipse description-line-too-long The PHPeclipse plugin allows
developers to write PHP webpages and scripts in Eclipse.
W: eclipse-phpeclipse non-standard-group Text Editors/Integrated Development
Environments (IDE)
W: eclipse-phpeclipse invalid-license Common Public License (CPL) 1.0

All as above.

W: eclipse-phpeclipse mixed-use-of-spaces-and-tabs

I just use the emacs untabify command for this.
Comment 4 Brandon Holbrook 2006-10-24 17:28:19 EDT
I'd really like to see this review finished and phpeclipse imported and built. 
Ben, do you intend on addressing these rpmlint suggestions?  If not, do you mind
if I 'adopt' eclipse-phpeclipse and finish this stalled review?
Comment 5 Ben Konrath 2006-10-31 09:42:48 EST
(In reply to comment #4)
> Ben, do you intend on addressing these rpmlint suggestions?  If not, do you mind
> if I 'adopt' eclipse-phpeclipse and finish this stalled review?

I don't have the time right now to finish this review so feel free to take it
over. It  was not easy to get this packaged up so feel free to ping me if you
have any questions about this package or if you have problems updating this
package to newer versions of phpeclipse when they are released. Thanks.

Comment 6 Brandon Holbrook 2006-11-02 01:18:15 EST

*** This bug has been marked as a duplicate of 213594 ***
Comment 7 Christoph Wickert 2006-12-01 21:20:52 EST
Marking as bug #201449

Note You need to log in before you can comment on or make changes to this bug.